Bug 136763 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkhtml2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 04:15 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.3-1.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 15:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-22 04:15:06 EDT
Description of problem:

I just tried to compile package gtkhtml2-2.6.2-1 from package
Redhat Fedora Core 3 Test 3.

The compiler said

htmlview.c(257): warning #1011: missing return statement at end of
non-void function "html_view_get_box_text_for_offset"

The source code is

                }
        }
}

Suggest either add a return statement or change return type of function
to void.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Barnes 2006-05-19 15:22:09 EDT
Fixed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=165455

Note You need to log in before you can comment on or make changes to this bug.